---
title: HTMLProgressElement
slug: Web/API/HTMLProgressElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p>The <strong><code>HTMLProgressElement</code></strong> interface provides special properties and methods (beyond the regular {{domxref("HTMLElement")}} interface it also has available to it by inheritance) for manipulating the layout and presentation of {{HTMLElement("progress")}} elements.</p>

<p>{{InheritanceDiagram(600, 120)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<dl>
 <dt>{{domxref("HTMLProgressElement.max")}}</dt>
 <dd>Is a <code>double</code> value reflecting the content attribute of the same name, limited to numbers greater than zero. Its default value is <code>1.0</code>.</dd>
 <dt>{{domxref("HTMLProgressElement.position")}}{{readonlyInline}}</dt>
 <dd>Returns a <code>double</code> value returning the result of dividing the current value (<code>value</code>) by the maximum value (<code>max</code>); if the progress bar is an indeterminate progress bar, it returns <code>-1</code>.</dd>
 <dt>{{domxref("HTMLProgressElement.value")}}</dt>
 <dd>Is a <code>double</code> value that reflects the current value; if the progress bar is an indeterminate progress bar, it returns <code>0</code>.</dd>
 <dt>{{domxref("HTMLProgressElement.labels")}}{{readonlyInline}}</dt>
 <dd>Returns {{domxref("NodeList")}} containing the list of {{HTMLElement("label")}} elements that are labels for this element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits properties from its parent, {{domxref("HTMLElement")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#htmlprogresselement", "HTMLProgressElement")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "forms.html#the-progress-element", "HTMLProgressElement")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "forms.html#the-progress-element", "HTMLProgressElement")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLProgressElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The HTML element implementing this interface: {{HTMLElement("progress")}}</li>
</ul>
